DECLARE @old_cntr_value INT;
DECLARE @logins_per_sec int;
DECLARE @logins_per_sec_max int;
DECLARE @logins_per_sec_per_host_max int;
DECLARE @first_sample_date DATETIME;
SELECT @old_cntr_value = cntr_value,
@first_sample_date = getdate()
FROM sys.dm_os_performance_counters
WHERE counter_name = 'Logins/sec';
-- Time frame to wait before collecting second sample
WAITFOR DELAY '00:00:10'
-- Collect second sample and calculate counter
SELECT @logins_per_sec = (cntr_value - @old_cntr_value) /
DATEDIFF(ss,@first_sample_date, GETDATE()) 
FROM sys.dm_os_performance_counters
WHERE counter_name = 'Logins/sec'

update dbo.bouncer_control
 set logins_per_sec = @logins_per_sec 

update dbo.bouncer_control
 set lifetime_max_logins_per_sec = @logins_per_sec
where @logins_per_sec > lifetime_max_logins_per_sec


select @logins_per_sec_max = logins_per_sec_max
	,@logins_per_sec_per_host_max = logins_per_sec_per_host_max
 from dbo.bouncer_control

if @logins_per_sec >= @logins_per_sec_max
  begin
	exec dbo.proc_bouncer_stop
  end

if (select max(logins_per_sec) from dbo.host_stats) / 100 >=  @logins_per_sec_per_host_max 
  begin
	exec dbo.proc_bouncer_stop
  end

update bouncer.dbo.host_stats
  set lifetime_max_logins_per_sec = logins_per_sec
       , lifetime_max_logins_per_sec_date = getdate()
 where logins_per_sec > lifetime_max_logins_per_sec

